#
# Conditional build:
%bcond_without	gtk		# don't build iodbcadm and GUI elements in drvproxy
#
Summary:	iODBC Driver Manager
Summary(pl.UTF-8):	Zarządca sterowników iODBC
Name:		libiodbc
Version:	3.52.7
Release:	5
License:	LGPL v2 or BSD
Group:		Libraries
Source0:	http://www.iodbc.org/downloads/iODBC/%{name}-%{version}.tar.gz
# Source0-md5:	ddbd274cb31d65be6a78da58fc09079a
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-build.patch
URL:		http://www.iodbc.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.2
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

The iODBC Driver Manager was originally created by Ke Jin and is
currently maintained by OpenLink Software under an LGPL license.

%description -l pl.UTF-8
Zarządca sterowników iODBC jest wolną implementacją zarządcy
sterowników zgodną z SAG CLI i ODBC, pozwalającą programistom pisać
aplikacje zgodne z ODBC, które mogą łączyć się z różnymi bazami
z wykorzystaniem właściwych sterowników wewnętrznych.

Zarządca sterowników iODBC pierwotnie został napisany przez Ke Jina,
aktualnie jest rozwijany przez OpenLink Software.

%package devel
Summary:	Header files for iODBC development
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwoju aplikacji na iODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files needed to develop program that
use the driver manager.

%description devel -l pl.UTF-8
Zarządca sterowników iODBC jest wolną implementacją zarządcy
sterowników zgodną z SAG CLI i ODBC, pozwalającą programistom pisać
aplikacje zgodne z ODBC, które mogą łączyć się z różnymi bazami
z wykorzystaniem właściwych sterowników wewnętrznych.

Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania aplikacji
korzystających z zarządcy sterowników iODBC.

%package static
Summary:	Static version of iODBC libraries
Summary(pl.UTF-8):	Statyczna wersja bibliotek iODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of iODBC libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek iODBC.

%package gtk
Summary:	GTK+-based GUI for iODBC administration
Summary(pl.UTF-8):	Oparty o GTK+ interfejs do administrowania iODBC
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+-based GUI for iODBC administration.

%description gtk -l pl.UTF-8
Oparty o GTK+ graficzny interfejs do administrowania iODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I admin
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--with-layout=gentoo
	%{!?with_gtk:--disable-gui}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iodbc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install etc/odbc.ini.sample $RPM_BUILD_ROOT%{_sysconfdir}/iodbc/odbc.ini
rm -rf $RPM_BUILD_ROOT/usr/share/libiodbc/samples/

# dlopened by lib*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{iodbcadm,drvproxy}.{a,la}
# build process side-effects
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{iodbcadm,drvproxy}-gtk.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE LICENSE.BSD NEWS README
%dir %{_sysconfdir}/iodbc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iodbc/odbc.ini
%attr(755,root,root) %{_bindir}/iodbctest
%attr(755,root,root) %{_bindir}/iodbctestw
%attr(755,root,root) %{_libdir}/libiodbc.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbc.so.2
%attr(755,root,root) %{_libdir}/libiodbcinst.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbcinst.so.2
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iodbc-config
%attr(755,root,root) %{_libdir}/libiodbc.so
%attr(755,root,root) %{_libdir}/libiodbcinst.so
%{_libdir}/libiodbc.la
%{_libdir}/libiodbcinst.la
%{_includedir}/iodbc
%{_pkgconfigdir}/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libiodbc.a
%{_libdir}/libiodbcinst.a

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iodbcadm-gtk
%attr(755,root,root) %{_libdir}/libiodbcadm.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libiodbcadm.so.2
%attr(755,root,root) %{_libdir}/libdrvproxy.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrvproxy.so.2
%attr(755,root,root) %{_libdir}/libiodbcadm.so
%attr(755,root,root) %{_libdir}/libdrvproxy.so
%{_mandir}/man1/iodbcadm-gtk.1*
%endif
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libiodbc.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> c5f7d31
- x32 rebuild
- release 5 (by relup.sh)

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fed46f
- release 4

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c8ac0a
- updated ac/am version

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5994dce
- rel 3; use gentoo layout which avoids conflicts with unixODBC

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5245a53
- rel 2; conflicts with unixodbc

* Sat Oct 31 2009 Bartłomiej Zimoń <cactus@pld-linux.org> aa9b82b
- up to 3.52.7

* Wed Sep 09 2009 tommat <tommat@pld-linux.org> 8e717ae
- added build patch to assure respecting config.h
- packaged files
- ghost soname symlinks
- rel 1

* Thu Mar 27 2008 Szymon Siwek <sls@pld-linux.org> 363b9cc
- fix parallel make

* Thu Mar 27 2008 Szymon Siwek <sls@pld-linux.org> ad95cdb
- added make-jN.patch

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 9ff2566
- up to 3.52.6
- use gtk+2

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 11e88b5
- mans don't need additional doc flag

* Tue Mar 13 2007 Szymon Siwek <sls@pld-linux.org> 74bdda2
- packaged .pc and some man files

* Tue Mar 13 2007 Szymon Siwek <sls@pld-linux.org> 4bd4636
- added info about unpackaged files

* Tue Mar 13 2007 Szymon Siwek <sls@pld-linux.org> bd42a47
- ver. 3.52.5
- updated Source0 URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9853ec7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 686adab
- converted to UTF-8

* Thu Aug 11 2005 radek <radek@pld-linux.org> 08a9805
- bcond_with(out) is followed by one \t, then bcond's name.

* Thu Jul 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 734d4a8
- cleanup

* Thu Jul 21 2005 darekr <darekr@pld-linux.org> 63d4ecd
- new bcond style

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> e43814e
- "GTK+" unification (hope thats all)

